Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Interface BeanMetadataElement

All Known Subinterfaces:
  AnnotatedBeanDefinition, BeanDefinition, BeanReference, ComponentDefinition, DefaultsDefinition

All Known Implementing Classes:
  AbstractBeanDefinition, AbstractComponentDefinition, AdvisorComponentDefinition, AliasDefinition, AnnotatedGenericBeanDefinition, AspectComponentDefinition, AutowireCandidateQualifier, BeanComponentDefinition, BeanDefinitionHolder, BeanMetadataAttribute, BeanMetadataAttributeAccessor, ChildBeanDefinition, CompositeComponentDefinition, ConstructorArgumentValues.ValueHolder, DocumentDefaultsDefinition, GenericBeanDefinition, ImportDefinition, LookupOverride, ManagedArray, ManagedList, ManagedMap, ManagedProperties, ManagedSet, MethodOverride, PointcutComponentDefinition, PropertyValue, ReplaceOverride, RootBeanDefinition, RuntimeBeanNameReference, RuntimeBeanReference, ScannedGenericBeanDefinition, TypedStringValue

    public interface BeanMetadataElement

Interface to be implemented by bean metadata elements that carry a configuration source object.

Since:
  2.0
Author:
  Juergen Hoeller

Method Summary
`Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).

Method Detail

### getSource

    Object getSource()

  Return the configuration source `Object` for this metadata element (may be `null`).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD